﻿body,h1,h2,h3,h4,h5 {font-family:sans-serif}

body {font-size:16px}

body, html {
  height: 100%;
  line-height: 1.8;
}

/* Navbar container */
.navbar {
  overflow: hidden;
  font-family: Arial;
}

/* Links inside the navbar */
.navbar a {
    float: left;
    font-size: 18px;
    font-weight: 400;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    transition: transform 0.4s ease, color 0.4s ease;
}

.navbar a:hover {
    color: #DFFF55;
    font-weight: 500;
    transform: scale(1.125);
}

/* Small screen sidebar menu */
.navbar-sm { 
    background-color: inherit; 
    font-family: Arial;
}

.navbar-sm a { 
    font-size: 18px;
    color: white !important;
    transition: transform 0.4s ease, color 0.4s ease;
}

.navbar-sm a:hover {
    color: #DFFF55 !important;
    transform: scale(1.125);
}

/* Large Full height image header */
.bgimg-lg {
  background-position: top;
  background-size: cover;
  background-image: url("background-lg.jpg");
  min-height: 100%;
  margin-top:140px;
}

/* Samll Full height image header */
.bgimg-sm {
  background-position: top;
  background-size: cover;
  background-image: url("background-sm.jpg");
  min-height: 100%;
  margin-top:140px;
}

.about-tablet {
    display: none;
}

a {text-decoration: none}

h1 {
    font-size: 56px;
}
    
h2 {font-size: 40px}

h3 {
    font-size: 32px;
}

h4 {font-size: 24px}

.CompanyName {
        font-size: 56px;
        font-weight: 700;
        -webkit-text-stroke: 0.5px white;
        text-shadow: 1px 1px 3px rgba(0,0,0,0.7);    }

    .TagLine {
        font-size: 40px;
    }

.w3-bar .w3-button {padding: 10px}

table {
    width: 100%;
    border-collapse: collapse;
  }

.imgHalf{
    padding-top:10px;
	padding-bottom:10px;
	display: block;
	margin: 0 auto;
	border: 0px solid #ccc; /* Optional: for visualization */
}

.txtHalf{
    font-size: 18px;
	padding-top:10px;
	padding-bottom:10px;
	margin: 0 auto; /* Centers the row horizontally */
	text-align: left; /* Centers the text within the row */
	border: 0px solid #ccc; /* Optional: for visualization */
}

#about{background-color: #E8E8E8}

#contact {background-color: #E8E8E8}

.HeroText {
    position: absolute;
    top: 60px;
    left: 50%;
    transform: translateX(-50%);

    width: 800px;
    padding: 15px 20px 5px 20px;

    text-align: center;
    color: white;

    /* glass panel*/
    /*background: rgba(15, 55, 35, 0.30);*/
    
    background: rgba(20, 70, 120, 0.1);
        
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);

    border: 1px solid rgba(255,255,255,0.25);
    border-radius: 12px;

    box-shadow: 0 8px 30px rgba(0,0,0,0.30);
}

.HeroText h1 {
    margin: 0;
    font-size: 56px;
    font-weight: 700;
    line-height: 1.05;

	color: white;
   -webkit-text-stroke: 0.1px black;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.7);
}
      
.HeroText h2 {
    margin: 0 0 15px;
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 4px;

    color: white;
    -webkit-text-stroke: 0.1px rgba(0,0,0,0.8);
    text-shadow: 2px 2px 4px rgba(0,0,0,0.8);

}

.HeroTextSmall {
    position: absolute;
    top: 40px;
    left: 50%;
    transform: translateX(-50%);

    width: 300px;
    padding: 20px 10px 20px 10px;

    text-align: center;
    color: white;

    /* glass panel*/
    /*background: rgba(15, 55, 35, 0.30);*/
    
    background: rgba(20, 70, 120, 0.1);
        
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);

    border: 1px solid rgba(255,255,255,0.25);
    border-radius: 12px;

    box-shadow: 0 8px 30px rgba(0,0,0,0.30);
}

.HeroTextSmall h1 {
    margin: 0;
    font-size: 36px;
    font-weight: 700;
    line-height: 1.05;

	color: white;
   -webkit-text-stroke: 0.1px black;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.7);
}
      
.HeroTextSmall h2 {
    margin: 0 0 15px;
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 4px;

    color: white;
    -webkit-text-stroke: 0.1px rgba(0,0,0,0.8);
    text-shadow: 2px 2px 4px rgba(0,0,0,0.8);

}


.HeroButton {
    display: inline-block;
    margin-top: 18px;
    padding: 10px 26px;

    background-color: #007C31;
    color: white;

    font-size: 16px;
    font-weight: 700;
    letter-spacing: 1px;

    border: 1px solid rgba(255,255,255,0.7);
    border-radius: 4px;
    text-decoration: none;
    
    box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
}

.HeroButton:hover {
    background-color: white;
    color: #007C31;
}

/*
#mySidebar {
    width: 250px;
}
*/

@media (max-width: 992px) {
    .CompanyName {
        font-size: 36px;
        -webkit-text-stroke: 0;
        text-shadow:
            1px 1px 2px white,
           -1px -1px 2px white,
            1px -1px 2px white,
           -1px 1px 2px white;
    }

    .TagLine {
        font-size: 24px;
    }
    
#mySidebar {
	top: 140px;
	height: calc(100% - 140px);
}
}

@media (min-width: 601px) and (max-width: 1200px) and (orientation: landscape) {
    .bgimg-lg {
        background-size: 100% auto;
        background-position: top center;
        background-repeat: no-repeat;

        min-height: 0;
        height: calc(100vw * 1140 / 2560);
    }
    
     .about-large
    {
        display: none !important;
    }

    .about-tablet {
        display: block;
    }
}